Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.core
Interface PrivateKey

All Superinterfaces:
  ASN1Object, java.lang.Cloneable, Key, java.io.Serializable, Streamable

All Known Implementing Classes:
  DHPrivateKey, DSAPrivateKey, PrivateKeyPKCS8, RSAPrivateKey

public interface PrivateKey
extends Key, ASN1Object, java.io.Serializable

An interface for a private key.

Method Summary
`AlgorithmIdentifier` | `getAlgID()` Returns the algorithm identifier for this key.
`ASN1Object` | `getContents()` Returns the contents of this key.
`void` | `initialize(AlgorithmIdentifier algID, ASN1Object contents)` Initializes this instance from the given algorithm paramters and key contents.

Methods inherited from interface oracle.security.crypto.core.Key
`clone, erase, getAlgorithm, getBitLength, getEncoded, getFormat`

Methods inherited from interface oracle.security.crypto.util.Streamable
`input, length, output`

Method Detail

### initialize

    public void initialize(AlgorithmIdentifier algID,
                           ASN1Object contents)
                    throws AlgorithmIdentifierException,
                           InvalidInputException

  Initializes this instance from the given algorithm paramters and key contents.
  Throws:
    `AlgorithmIdentifierException`
    `InvalidInputException`

### getAlgID

    public AlgorithmIdentifier getAlgID()

  Returns the algorithm identifier for this key.

### getContents

    public ASN1Object getContents()

  Returns the contents of this key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.